Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Arne-Brün Vogelsang
AuthorEmail: arne@monocles.de
WebSite: https://monocles.de/more/
SourceCode: https://codeberg.org/Arne/monocles_chat
IssueTracker: https://codeberg.org/Arne/monocles_chat/issues
Translation: https://translate.codeberg.org/projects/monocles_chat/monocles_chat
Donate: https://monocles.de/more/#donation-section

AutoName: monocles chat

RepoType: git
Repo: https://codeberg.org/Arne/monocles_chat

Builds:
  - versionName: '1.0'
    versionCode: 100
    commit: v1.0
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.1'
    versionCode: 101
    commit: v1.1
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.2'
    versionCode: 102
    commit: 84ecbb38d0c55cc638ed8201101ea3c3f6e37ee1
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.3'
    versionCode: 103
    commit: d32fc95ad48f496e3071096ce01a96bc29941e6b
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.3.1
    versionCode: 104
    commit: a962984760be038f4a957acc667b2ed61df52c8e
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.3.2
    versionCode: 105
    commit: b9578c21be82ac85116f877ca00c06a9a3383c70
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.4'
    versionCode: 106
    commit: 94783aeff0e2e7e2e8d15c6a5a81aba91936be2f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.4.1
    versionCode: 107
    commit: 8c659e4c5efdc6f909ade6bb5765d753df0f9cd1
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.4.2
    versionCode: 108
    commit: 0bbf2f2b758547a6825267d2d6b092232da48d84
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.5.1
    versionCode: 112
    commit: df79495cf8ccb4ce4a38e61c00512b1396f1eeb4
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.10
    versionCode: 121
    commit: 8a14a7aea7b809933886864bfb58431324ab22b2
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.11
    versionCode: 122
    commit: 1d5508acbf8f9271a1cff612790ea6dce7f6e5b1
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.12
    versionCode: 123
    disable: libwebrtc changed source
    commit: 540098470877bee2830ac5c976cd5401e946df20
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.13
    versionCode: 124
    commit: 6010c46b79e2a459c22537db72cf74b2a9c9e72b
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.14
    versionCode: 125
    disable: app database crashing
    commit: 48bea027633c5694dfdc38fe9addb4df59463fd3
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.5.15
    versionCode: 126
    commit: 8b592378587cb7a84bfbe5604f90e2a9d5e94ad9
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: '1.6'
    versionCode: 127
    disable: tag removed https://codeberg.org/Arne/monocles_chat/commit/0eb7f546bd18260b20121a8f21ec32fd4ad145f8
    commit: 94b473b0585777db5aff3e1deee6965ef918f5c7
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

  - versionName: 1.6.1
    versionCode: 128
    commit: bf56eac8c233853bc480b950deea18217e850442
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v\d+\.\d+(\.\d+)?$
CurrentVersion: 1.6.1
CurrentVersionCode: 128
